net.minecraft.entity.passive

## Class EntityHorse

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature
        - - net.minecraft.entity.EntityAgeable
          - - net.minecraft.entity.passive.EntityAnimal
            - - net.minecraft.entity.passive.EntityHorse

- All Implemented Interfaces:
    IAnimals, IInvBasic

      public class EntityHorse
      extends EntityAnimal
      implements IInvBasic

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityHorse.GroupData`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `field_110278_bp`
    `int` | `field_110279_bq`
    `protected boolean` | `horseJumping`
    `protected float` | `jumpPower`
    `protected int` | `temper`

    - ### Fields inherited from class net.minecraft.entity.EntityCreature

      `entityToAttack, field_110179_h, field_110181_i, fleeingTick, hasAttacked`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `defaultPitch, equipmentDropChances, experienceValue, livingSoundTime, numTicksToChaseTarget, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityHorse(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowLeashing()`
    `protected void` | `applyEntityAttributes()`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `boolean` | `canBePushed()`
    `boolean` | `canMateWith(EntityAnimal par1EntityAnimal)`
    `EntityAgeable` | `createChild(EntityAgeable par1EntityAgeable)`
    `void` | `dropChestItems()`
    `void` | `dropChests()`
    `protected void` | `entityInit()`
    `protected void` | `fall(float par1)`
    `float` | `func_110201_q(float par1)`
    `boolean` | `func_110205_ce()`
    `boolean` | `func_110222_cv()`
    `boolean` | `func_110229_cs()`
    `boolean` | `func_110239_cn()`
    `int` | `func_110241_cb()`
    `void` | `func_110242_l(boolean par1)`
    `boolean` | `func_110253_bW()`
    `boolean` | `func_110256_cu()`
    `boolean` | `func_110259_cr()`
    `protected void` | `func_142017_o(float par1)`
    `protected void` | `func_145780_a(int p_145780_1_, int p_145780_2_, int p_145780_3_, Block p_145780_4_)`
    `static boolean` | `func_146085_a(Item p_146085_0_)`
    `void` | `func_146086_d(ItemStack p_146086_1_)`
    `protected java.lang.String` | `getAngrySoundName()`
    `boolean` | `getCanSpawnHere()`
    `protected EntityHorse` | `getClosestHorse(Entity par1Entity, double par2)`
    `java.lang.String` | `getCommandSenderName()`
    `protected java.lang.String` | `getDeathSound()`
    `protected Item` | `getDropItem()`
    `float` | `getGrassEatingAmount(float par1)`
    `boolean` | `getHasReproduced()`
    `double` | `getHorseJumpStrength()`
    `float` | `getHorseSize()`
    `java.lang.String` | `getHorseTexture()`
    `int` | `getHorseType()`
    `int` | `getHorseVariant()`
    `protected java.lang.String` | `getHurtSound()`
    `protected java.lang.String` | `getLivingSound()`
    `int` | `getMaxSpawnedInChunk()`
    `int` | `getMaxTemper()`
    `java.lang.String` | `getOwnerName()`
    `float` | `getRearingAmount(float par1)`
    `protected float` | `getSoundVolume()`
    `int` | `getTalkInterval()`
    `int` | `getTemper()`
    `int` | `getTotalArmorValue()`
    `java.lang.String[]` | `getVariantTexturePaths()`
    `void` | `handleHealthUpdate(byte par1)`
    `int` | `increaseTemper(int par1)`
    `boolean` | `interact(EntityPlayer par1EntityPlayer)`
    `boolean` | `isAdultHorse()`
    `protected boolean` | `isAIEnabled()`
    `boolean` | `isBreedingItem(ItemStack par1ItemStack)`
    `boolean` | `isChested()`
    `boolean` | `isEatingHaystack()`
    `boolean` | `isHorseJumping()`
    `boolean` | `isHorseSaddled()`
    `protected boolean` | `isMovementBlocked()`
    `boolean` | `isOnLadder()`
    `boolean` | `isRearing()`
    `boolean` | `isTame()`
    `void` | `makeHorseRearWithSound()`
    `void` | `moveEntityWithHeading(float par1, float par2)`
    `void` | `onDeath(DamageSource par1DamageSource)`
    `void` | `onInventoryChanged(InventoryBasic par1InventoryBasic)`
    `void` | `onLivingUpdate()`
    `IEntityLivingData` | `onSpawnWithEgg(IEntityLivingData par1EntityLivingData)`
    `void` | `onUpdate()`
    `void` | `openGUI(EntityPlayer par1EntityPlayer)`
    `boolean` | `prepareChunkForSpawn()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setChested(boolean par1)`
    `void` | `setEating(boolean par1)`
    `void` | `setEatingHaystack(boolean par1)`
    `void` | `setHasReproduced(boolean par1)`
    `void` | `setHorseJumping(boolean par1)`
    `void` | `setHorseSaddled(boolean par1)`
    `void` | `setHorseTamed(boolean par1)`
    `void` | `setHorseType(int par1)`
    `void` | `setHorseVariant(int par1)`
    `void` | `setJumpPower(int par1)`
    `void` | `setOwnerName(java.lang.String par1Str)`
    `void` | `setRearing(boolean par1)`
    `void` | `setScaleForAge(boolean par1)`
    `boolean` | `setTamedBy(EntityPlayer par1EntityPlayer)`
    `void` | `setTemper(int par1)`
    `protected void` | `spawnHorseParticles(boolean par1)`
    `void` | `updateRiderPosition()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.passive.EntityAnimal

      `attackEntity, canDespawn, findPlayerToAttack, func_146082_f, func_146083_cb, getBlockPathWeight, getExperiencePoints, isInLove, resetInLove, updateAITick`

    - ### Methods inherited from class net.minecraft.entity.EntityAgeable

      `addGrowth, getGrowingAge, isChild, setGrowingAge, setScale, setSize`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `detachHome, func_110174_bM, getEntityToAttack, getHomePosition, hasHome, hasPath, isMovementCeased, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, setHomeArea, setPathToEntity, setTarget, updateEntityActionState, updateLeashedState, updateWanderPath`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addRandomArmor, canAttackClass, canBeSteered, canPickUpLoot, clearLeashed, despawnEntity, dropEquipment, dropFewItems, eatGrassBonus, enchantEquipment, faceEntity, func_110146_f, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCustomNameTag, getEntitySenses, getEquipmentInSlot, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLookHelper, getMaxSafePointTries, getMoveHelper, getNavigator, getRenderSizeModifier, getVerticalFaceSpeed, hasCustomNameTag, interactFirst, isNoDespawnRequired, onEntityUpdate, playLivingSound, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle, updateAITasks`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, dropRareDrop, func_110142_aN, func_142015_aE, func_146066_aG, func_146067_o, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getEyeHeight, getHealth, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSwingProgress, getTeam, heal, isClientWorld, isEntityAlive, isEntityUndead, isOnSameTeam, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, onChangedPotionEffect, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_110278_bp

          public int field_110278_bp

    - #### field_110279_bq

          public int field_110279_bq

    - #### horseJumping

          protected boolean horseJumping

    - #### temper

          protected int temper

    - #### jumpPower

          protected float jumpPower

  - ### Constructor Detail

    - #### EntityHorse

          public EntityHorse(World par1World)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityAgeable`

    - #### setHorseType

          public void setHorseType(int par1)

    - #### getHorseType

          public int getHorseType()

    - #### setHorseVariant

          public void setHorseVariant(int par1)

    - #### getHorseVariant

          public int getHorseVariant()

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Overrides:
        `getCommandSenderName` in class `EntityLiving`

    - #### isAdultHorse

          public boolean isAdultHorse()

    - #### isTame

          public boolean isTame()

    - #### func_110253_bW

          public boolean func_110253_bW()

    - #### getOwnerName

          public java.lang.String getOwnerName()

    - #### setOwnerName

          public void setOwnerName(java.lang.String par1Str)

    - #### getHorseSize

          public float getHorseSize()

    - #### setScaleForAge

          public void setScaleForAge(boolean par1)

      Overrides:
        `setScaleForAge` in class `EntityAgeable`

    - #### isHorseJumping

          public boolean isHorseJumping()

    - #### setHorseTamed

          public void setHorseTamed(boolean par1)

    - #### setHorseJumping

          public void setHorseJumping(boolean par1)

    - #### allowLeashing

          public boolean allowLeashing()

      Overrides:
        `allowLeashing` in class `EntityLiving`

    - #### func_142017_o

          protected void func_142017_o(float par1)

      Overrides:
        `func_142017_o` in class `EntityCreature`

    - #### isChested

          public boolean isChested()

    - #### func_110241_cb

          public int func_110241_cb()

    - #### isEatingHaystack

          public boolean isEatingHaystack()

    - #### isRearing

          public boolean isRearing()

    - #### func_110205_ce

          public boolean func_110205_ce()

    - #### getHasReproduced

          public boolean getHasReproduced()

    - #### func_146086_d

          public void func_146086_d(ItemStack p_146086_1_)

    - #### func_110242_l

          public void func_110242_l(boolean par1)

    - #### setChested

          public void setChested(boolean par1)

    - #### setHasReproduced

          public void setHasReproduced(boolean par1)

    - #### setHorseSaddled

          public void setHorseSaddled(boolean par1)

    - #### getTemper

          public int getTemper()

    - #### setTemper

          public void setTemper(int par1)

    - #### increaseTemper

          public int increaseTemper(int par1)

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityAnimal`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Overrides:
        `getTotalArmorValue` in class `EntityLivingBase`

    - #### canBePushed

          public boolean canBePushed()

      Overrides:
        `canBePushed` in class `EntityLivingBase`

    - #### prepareChunkForSpawn

          public boolean prepareChunkForSpawn()

    - #### dropChests

          public void dropChests()

    - #### fall

          protected void fall(float par1)

      Overrides:
        `fall` in class `EntityLivingBase`

    - #### onInventoryChanged

          public void onInventoryChanged(InventoryBasic par1InventoryBasic)

      Specified by:
        `onInventoryChanged` in interface `IInvBasic`

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

      Overrides:
        `getCanSpawnHere` in class `EntityAnimal`

    - #### getClosestHorse

          protected EntityHorse getClosestHorse(Entity par1Entity,
                                    double par2)

    - #### getHorseJumpStrength

          public double getHorseJumpStrength()

    - #### getDeathSound

          protected java.lang.String getDeathSound()

      Overrides:
        `getDeathSound` in class `EntityLivingBase`

    - #### getDropItem

          protected Item getDropItem()

      Overrides:
        `getDropItem` in class `EntityLiving`

    - #### getHurtSound

          protected java.lang.String getHurtSound()

      Overrides:
        `getHurtSound` in class `EntityLivingBase`

    - #### isHorseSaddled

          public boolean isHorseSaddled()

    - #### getLivingSound

          protected java.lang.String getLivingSound()

      Overrides:
        `getLivingSound` in class `EntityLiving`

    - #### getAngrySoundName

          protected java.lang.String getAngrySoundName()

    - #### func_145780_a

          protected void func_145780_a(int p_145780_1_,
                           int p_145780_2_,
                           int p_145780_3_,
                           Block p_145780_4_)

      Overrides:
        `func_145780_a` in class `Entity`

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

      Overrides:
        `applyEntityAttributes` in class `EntityLiving`

    - #### getMaxSpawnedInChunk

          public int getMaxSpawnedInChunk()

      Overrides:
        `getMaxSpawnedInChunk` in class `EntityLiving`

    - #### getMaxTemper

          public int getMaxTemper()

    - #### getSoundVolume

          protected float getSoundVolume()

      Overrides:
        `getSoundVolume` in class `EntityLivingBase`

    - #### getTalkInterval

          public int getTalkInterval()

      Overrides:
        `getTalkInterval` in class `EntityAnimal`

    - #### func_110239_cn

          public boolean func_110239_cn()

    - #### getHorseTexture

          public java.lang.String getHorseTexture()

    - #### getVariantTexturePaths

          public java.lang.String[] getVariantTexturePaths()

    - #### openGUI

          public void openGUI(EntityPlayer par1EntityPlayer)

    - #### interact

          public boolean interact(EntityPlayer par1EntityPlayer)

      Overrides:
        `interact` in class `EntityAnimal`

    - #### func_110259_cr

          public boolean func_110259_cr()

    - #### func_110229_cs

          public boolean func_110229_cs()

    - #### isMovementBlocked

          protected boolean isMovementBlocked()

      Overrides:
        `isMovementBlocked` in class `EntityLivingBase`

    - #### func_110256_cu

          public boolean func_110256_cu()

    - #### func_110222_cv

          public boolean func_110222_cv()

    - #### isBreedingItem

          public boolean isBreedingItem(ItemStack par1ItemStack)

      Overrides:
        `isBreedingItem` in class `EntityAnimal`

    - #### onDeath

          public void onDeath(DamageSource par1DamageSource)

      Overrides:
        `onDeath` in class `EntityLivingBase`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Overrides:
        `onLivingUpdate` in class `EntityAnimal`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityLiving`

    - #### setEating

          public void setEating(boolean par1)

      Overrides:
        `setEating` in class `Entity`

    - #### setEatingHaystack

          public void setEatingHaystack(boolean par1)

    - #### setRearing

          public void setRearing(boolean par1)

    - #### makeHorseRearWithSound

          public void makeHorseRearWithSound()

    - #### dropChestItems

          public void dropChestItems()

    - #### setTamedBy

          public boolean setTamedBy(EntityPlayer par1EntityPlayer)

    - #### moveEntityWithHeading

          public void moveEntityWithHeading(float par1,
                                   float par2)

      Overrides:
        `moveEntityWithHeading` in class `EntityLivingBase`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityAnimal`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityAnimal`

    - #### canMateWith

          public boolean canMateWith(EntityAnimal par1EntityAnimal)

      Overrides:
        `canMateWith` in class `EntityAnimal`

    - #### createChild

          public EntityAgeable createChild(EntityAgeable par1EntityAgeable)

      Specified by:
        `createChild` in class `EntityAgeable`

    - #### onSpawnWithEgg

          public IEntityLivingData onSpawnWithEgg(IEntityLivingData par1EntityLivingData)

      Overrides:
        `onSpawnWithEgg` in class `EntityLiving`

    - #### getGrassEatingAmount

          public float getGrassEatingAmount(float par1)

    - #### getRearingAmount

          public float getRearingAmount(float par1)

    - #### func_110201_q

          public float func_110201_q(float par1)

    - #### isAIEnabled

          protected boolean isAIEnabled()

      Overrides:
        `isAIEnabled` in class `EntityLiving`

    - #### setJumpPower

          public void setJumpPower(int par1)

    - #### spawnHorseParticles

          protected void spawnHorseParticles(boolean par1)

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityAnimal`

    - #### updateRiderPosition

          public void updateRiderPosition()

      Overrides:
        `updateRiderPosition` in class `Entity`

    - #### func_146085_a

          public static boolean func_146085_a(Item p_146085_0_)

    - #### isOnLadder

          public boolean isOnLadder()

      Overrides:
        `isOnLadder` in class `EntityLivingBase`